FileHost.net provides a simple HTTP API to integrate ours into your business or application. All requests to the API should be only GET or POST You can find your API key here - https://filehost.net/settings
As requisições da API são limitadas a 10 por segundo. Para mais, fale conosco
{"msg":"Too Many Requests","status":"429"}
Obtém as informações básicas da conta
GET
https://filehost.net/api/account/info?key={your_api_key}
key
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": {
"email": "[email protected]",
"balance": "0.00000",
"storage_used" :"24186265",
"storage_left": 128824832615,
"premim_expire": "2026-03-12 21:00:00
}
}
Obtém os relatórios da conta (padrão: últimos 7 dias)
GET
https://filehost.net/api/account/stats?key={your_api_key}
key
last
from_date
to_date
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"profit_views": "0.00000",
"downloads": "0",
"views": "0",
"day": "2026-03-12",
"profit_total": "0.00000"
},
{
"profit_views": "0.00000",
"downloads": "0",
"views": "0",
"day": "2026-03-12",
"profit_total": "0.00000"
}
]
}
Lista de arquivos denunciados por DMCA (500 por página)
GET
https://filehost.net/api/dmca/list?key={your_api_key}
key
per_page
page
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"reported_on": "2026-03-12 04:30:07",
"protected_download": "yyy",
"protected_embed": "zzz",
"file_code": "xxx",
"fld_id": "0",
"disabled_on": "2026-03-12 05:00:07"
}
]
}
Envia arquivos locais pela API
GET
https://filehost.net/api/upload/server?key={your_api_key}
key
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "https://filehost.net/api/upload/server/01?key={your_api_key}"
}
curl -X POST -F 'api_key={your_api_key}' -F '[email protected]' "https://filehost.net/api/upload/server/01?key={your_api_key}"
<form enctype="multipart/form-data" action="https://filehost.net/api/upload/server/01?key={your_api_key}" method="post">
<input type="hidden" name="api_key" value="{your_api_key}">
<input name="file" type="file">
<input type="submit">
</form>
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"download_url": "https://filehost.net/d/xxx",
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"status": 200,
"filecode": "xxx",
"splash_img": "../assets/img/examples/splash/xxx.jpg",
"canplay": 1,
"size": "123456",
"length": "123456",
"uploaded": "2026-03-12 04:30:07",
"protected_embed": "https://filehost.net/e/yyy",
"protected_dl": "https://filehost.net/d/zzz",
"title": "test_file"
}
]
}
Copia/clona arquivos seus ou de outros
GET
https://filehost.net/api/file/clone?key={your_api_key}
key
file_code
fld_id
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": {
"embed_url": "https://filehost.net/e/xxx",
"download_url": "https://filehost.net/d/xxx",
"protected_download": "https://filehost.net/d/yyy",
"protected_embed": "https://filehost.net/e/zzz",
"filecode": "xxx"
}
}
Envia arquivos usando links diretos
GET
https://filehost.net/api/upload/url?key={your_api_key}&url={upload_url}
key
url
fld_id
new_title
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"new_title": "",
"status": 200,
"total_slots": "100",
"result": {
"filecode": "98zukoh5jqiw"
},
"used_slots": "0"
}
Lista e status do upload remoto
GET
https://filehost.net/api/urlupload/list?key={your_api_key}
key
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"bytes_total": "0",
"created": "2026-03-12 04:30:07",
"remote_url": "https://dropbox.com/hukbasd7k3fd",
"status": "working",
"file_code": "98zukoh5jqiw",
"bytes_downloaded": "0",
"folder_id": "0"
}
]
}
Status do upload remoto
GET
https://filehost.net/api/urlupload/status?key={your_api_key}
key
file_code
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"bytes_total": "0",
"created": "2026-03-12 04:30:07",
"remote_url": "https://dropbox.com/hukbasd7k3fd",
"status": "working",
"file_code": "hjsnr087johj",
"bytes_downloaded": "0",
"folder_id": "0"
}
]
}
Obtém o total e o uso de slots de upload remoto
GET
https://filehost.net/api/urlupload/slots?key={your_api_key}
key
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"total_slots": "100",
"used_slots": "10"
}
Executa várias ações no upload remoto
GET
https://filehost.net/api/urlupload/actions?key={your_api_key}
key
restart_errors
clear_errors
clear_all
delete_code
{
"msg": "Errors restarted",
"server_time": "2026-03-12 04:30:07",
"status": 200
}
Criar uma pasta
GET
https://filehost.net/api/folder/create?key={your_api_key}
key
name
parent_id
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": {
"fld_id": "1234567"
}
}
Listar todas as pastas
GET
https://filehost.net/api/folder/rename?key={your_api_key}
key
fld_id
name
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "true"
}
Listar todas as pastas
GET
https://filehost.net/api/folder/list?key={your_api_key}
key
fld_id
only_folders
{
"msg":"OK",
"status":200,
"result":{
"folders":[
{
"name":"Folder name",
"code":"67299gduj3",
"fld_id":"123"
},
],
"files": [
{
"download_url": "https://filehost.net/d/xxx",
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"file_code": "xxx",
"canplay": 1,
"length": "1234",
"views": "1",
"uploaded": "2026-03-12 04:30:07",
"public": "1",
"fld_id": "0",
"title": "test_file"
}
],
},
"server_time":"2026-03-12 07:31:01"
}
Listar todos os arquivos
GET
https://filehost.net/api/file/list?key={your_api_key}
key
page
per_page
fld_id
created
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": {
"total_pages": 1,
"files": [
{
"download_url": "https://filehost.net/d/xxx",
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"file_code": "xxx",
"canplay": 1,
"length": "1234",
"views": "1",
"uploaded": "2026-03-12 04:30:07",
"public": "1",
"fld_id": "0",
"title": "test_file"
}
],
"results_total": "1",
"results": 1
}
}
Verifica o status do seu arquivo
GET
https://filehost.net/api/file/check?key={your_api_key}
key
file_code
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"status": "Active",
"filecode": "xxx"
}
]
}
Obter info do arquivo
GET
https://filehost.net/api/file/info?key={your_api_key}
key
file_code
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"status": 200,
"filecode": "xxx",
"splash_img": "../assets/img/examples/splash/xxx.jpg",
"canplay": 1,
"size": "123456",
"views": "0",
"length": "123456",
"uploaded": "2026-03-12 04:30:07",
"last_view": "",
"protected_embed": "/e/yyy",
"protected_dl": "/d/zzz",
"title": "test_file"
}
]
}
Obtém a capa, imagem única ou miniatura
GET
https://filehost.net/api/file/image?key={your_api_key}
key
file_code
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"status": 200,
"filecode": "xxx",
"title": "test_file",
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"thumb_img": "../assets/img/examples/thumbnails/xxx.jpg",
"splash_img": "../assets/img/examples/splash/xxx.jpg"
}
]
}
Renomear arquivo
GET
https://filehost.net/api/file/rename?key={your_api_key}
key
file_code
title
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "true"
}
Move seu arquivo de uma pasta para outra
GET
https://filehost.net/api/file/move?key={your_api_key}
key
file_code
fld_id
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "true"
}
Buscar seus arquivos
GET
https://filehost.net/api/search/videos?key={your_api_key}
key
search_term
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "true"
}
Carrega a imagem de capa direto por URL
URL
https://filehost.net/e/xxx?c_poster=https://example.com/image.jpg
c_poster
Carrega várias legendas direto por URL
URL
https://filehost.net/e/xxx?c1_file=https://example.com/sub.vtt&c1_label=English
c1_file
c1_label
Carrega várias legendas por URL em formato JSON
URL
https://filehost.net/e/xxx?subtitle_json=https://example.com/sub.json
subtitle_json
[
{"src":"https://example.com/name_en.vtt", "label":"English", default: true},
{"src":"https://example.com/name_fr.vtt", "label":"French"}
]
Em breve.
Em breve.
Para acesso à API e suporte de integração, fale com [email protected].